#### D.5.2.36 Bern

Procedure from library `chern.lib` (see chern_lib).

Usage:
  Bern(n); n non-negative integer

Return:
  list of numbers

Purpose:
  computes the list of (second) Bernoulli numbers from B(0) to B(n)

Note:
  needs a base ring to be defined, returns an empty list if n is negative, uses the Akiyama-Tanigawa algorithm

Example:

    LIB "chern.lib";
    // first 10 Bernoulli numbers: B(0), ..., B(9)
    ring r=0,(t), dp;
    print( Bern(9) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.